//
// Created by Mysteo on 23.04.2023.
//

#ifndef ARBINA_GSM_BARRIER_CRC_CALC_H
#define ARBINA_GSM_BARRIER_CRC_CALC_H

#include "stm32g0xx.h"
#include "types.h"


void MX_CRC_Init(void);
err_crc_t calculateROM_CRC32(flash_area_enum_t flash_area, uint32_t *val);
uint32_t calculateBuf_CRC32(uint32_t *buf, uint32_t len);
void reset_CrcModule(void);
#endif //ARBINA_GSM_BARRIER_CRC_CALC_H
